> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve unique parameters for specific taxes

> Retrieve list of unique miscellanous parameters needed to compute specified taxes. Please note that this information is also returned by the `/taxIdList` and `/setTaxList` endpoints.



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v1/jurisdictionData
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v1/jurisdictionData:
    post:
      tags:
        - Location Tax Information
      summary: Retrieve unique parameters for specific taxes
      description: >-
        Retrieve list of unique miscellanous parameters needed to compute
        specified taxes. Please note that this information is also returned by
        the `/taxIdList` and `/setTaxList` endpoints.
      operationId: jurisdictionData
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                JurisdictionDataRequest:
                  $ref: '#/components/schemas/JurisdictionDataRequest'
            example:
              JurisdictionDataRequest:
                uniqueTaxID:
                  - 26-000-619906-CITY-000
                payDate: '2026-03-24'
          application/xml:
            schema:
              type: object
              properties:
                JurisdictionDataRequest:
                  $ref: '#/components/schemas/JurisdictionDataRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JurisdictionDataResponse'
              example:
                JurisdictionDataResponse:
                  transactionStamp:
                    totalTransactions: 1
                    steVersion: 2026-R1
                    failedTransactions: 0
                    schemaVersion: v1
                    calcDateTime: '2026-03-24T13:32:44Z'
                    transactionType: JurisdictionData
                  errorStatus:
                    errorMessage: No error
                    errorCode: 0
                  jurisdictionCollection:
                    - jurisdictionData:
                        - defaultValue: '0'
                          uniqueTaxID: 26-000-619906-CITY-000
                          stateCode: '26'
                          isOptional: false
                          regexDescription: The total number of allowances.
                          dataType: Integer
                          stateAbbreviation: MI
                          certificateLineNo: ''
                          regex: ^([0-9]+)$
                          parameterName: TOTAL_ALLOWANCES
                          helpText: The total number of allowances.
                          description: Total Allowances
                          regexType: SingleValue
            application/xml:
              schema:
                $ref: '#/components/schemas/JurisdictionDataResponse'
components:
  schemas:
    JurisdictionDataRequest:
      type: object
      properties:
        uniqueTaxID:
          type: array
          items:
            $ref: '#/components/schemas/uniqueTaxIDType'
          description: >-
            An array of unique tax ID strings. Active miscellaneous parameters
            will be returned for each tax.
        payDate:
          $ref: '#/components/schemas/date'
    JurisdictionDataResponse:
      type: object
      properties:
        errorStatus:
          $ref: '#/components/schemas/errorType'
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
        jurisdictionCollection:
          type: array
          items:
            type: object
            properties:
              jurisdictionData:
                type: array
                items:
                  $ref: '#/components/schemas/jurisdictionDataType'
    uniqueTaxIDType:
      type: string
    date:
      type: string
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    jurisdictionDataType:
      type: object
      properties:
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        dataType:
          $ref: '#/components/schemas/dataTypeValues'
        certificateLineNo:
          type: string
        defaultValue:
          type: string
        description:
          type: string
        helpText:
          type: string
        listValues:
          nullable: true
          type: string
        parameterName:
          type: string
        regex:
          type: string
        regexDescription:
          type: string
        regexType:
          type: string
        stateAbbreviation:
          type: string
        stateCode:
          type: string
        isOptional:
          type: boolean
        provinceAbbreviation:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        taxEffectiveDate:
          nullable: true
          type: string
    dateTime:
      type: string
    dataTypeValues:
      type: string
      enum:
        - Integer
        - Dollar
        - Boolean
        - String
        - Percentage
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````